## kodi-pvr-vdr-vnsi 1.10.10

=== CMakeLists.txt ===
project(pvr.vdr.vnsi)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

add_definitions(-DUSE_DEMUX)

if(NOT WIN32)
  find_package(OpenGL)
  if(OPENGL_FOUND)
    set(INCLUDES ${OPENGL_INCLUDE_DIR})
    set(DEPLIBS ${OPENGL_LIBRARIES})
    add_definitions(-DHAVE_GL)
    message(STATUS "VDR OSD support enabled via OpenGL")
  else()
    find_package(OpenGLES2)
    if(OPENGLES2_FOUND)
      set(VDR_SOURCES src/EGLHelpers/VisGUIShader.cpp
                      src/EGLHelpers/VisMatrixGLES.cpp
                      src/EGLHelpers/VisShader.cpp)
      add_definitions(-DHAVE_GLES2)
      set(INCLUDES ${OPENGLES2_INCLUDE_DIRS})
      set(DEPLIBS ${OPENGLES2_LIBRARIES})
      message(STATUS "VDR OSD support enabled via OpenGLES")
    else()
      message(STATUS " VDR OSD support disabled because OpenGL(ES) wasn't found")
    endif()
  endif()
else()
  find_package(D3DX9)
  if(D3DX9_FOUND)
    set(INCLUDES ${D3DX9_INCLUDE_DIR})
    set(DEPLIBS ${D3DX9_LIBRARIES})
    add_definitions(-DHAS_DX)
    message(STATUS "VDR OSD support enabled via DirectX")
  else()
    message(STATUS " VDR OSD support disabled because DirectX wasn't found")
  endif()
endif()

list(APPEND VDR_SOURCES src/client.cpp
                        src/requestpacket.cpp
                        src/responsepacket.cpp
                        src/tools.cpp
                        src/VNSIAdmin.cpp
                        src/VNSIChannels.cpp
                        src/VNSIChannelScan.cpp
                        src/VNSIData.cpp
                        src/VNSIDemux.cpp
                        src/VNSIRecording.cpp
                        src/VNSISession.cpp)

list(APPEND DEPLIBS ${platform_LIBRARIES})
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

include_directories(${INCLUDES}
                    ${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR})

build_addon(pvr.vdr.vnsi VDR DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-vdr-vnsi (1.10.10-2) unstable; urgency=medium

  * Moved package into section 'video'

 -- Tobias Grimm <etobi@debian.org>  Wed, 16 Dec 2015 21:31:29 +0100

kodi-pvr-vdr-vnsi (1.10.10-1) unstable; urgency=medium

  * Initial release

 -- Tobias Grimm <etobi@debian.org>  Mon, 21 Sep 2015 19:48:12 +0200

=== debian/control ===
Source: kodi-pvr-vdr-vnsi
Section: video
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9~),
 cmake,
 libtinyxml-dev,
 pkg-config,
 libkodiplatform-dev (>= 16.0.0),
 kodi-addons-dev (>= 15.1+dfsg1-4),
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.6
Homepage: http://kodi.tv
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-vdr-vnsi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-vdr-vnsi.git

Package: kodi-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 15.1+dfsg1-4)
Replaces: xbmc-pvr-vdr-vnsi
Enhances: kodi
Description: Kodi PVR Addon VDR VNSI
 This package contains the VDR VNSI PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DBUILD_SHARED_LIBS=1 \
	  -DUSE_LTO=1 \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)/kodi

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-vdr-vnsi

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-vdr-vnsi 1.11.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,11 @@
 add_definitions(-DUSE_DEMUX)
 
 if(NOT WIN32)
-  find_package(OpenGL)
+  find_package(EMBEDDED)
+  if(NOT EMBEDDED_FOUND)
+    find_package(OpenGL)
+  endif()
+
   if(OPENGL_FOUND)
     set(INCLUDES ${OPENGL_INCLUDE_DIR})
     set(DEPLIBS ${OPENGL_LIBRARIES})

=== debian/changelog ===
kodi-pvr-vdr-vnsi (1.11.15-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tobias Grimm <etobi@debian.org>  Thu, 17 Dec 2015 00:08:50 +0100

kodi-pvr-vdr-vnsi (1.11.15-1) unstable; urgency=medium

  * Updated libcec-platform compatibility patch
  * Build-depend on kodi-addons-dev >= 16
  * Clean up generated addon.xml
  * Now using libkodiplatform > 17.0.0 and libp8-platform (instead of
    libcec-platform)

 -- Tobias Grimm <etobi@debian.org>  Fri, 04 Mar 2016 00:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  cmake,
  libtinyxml-dev,
  pkg-config,
- libkodiplatform-dev (>= 16.0.0),
- kodi-addons-dev (>= 15.1+dfsg1-4),
+ libkodiplatform-dev (>= 17.0.0),
+ libp8-platform-dev,
+ kodi-addons-dev (>= 16),
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev
 Standards-Version: 3.9.6
 Homepage: http://kodi.tv

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
+
+override_dh_clean:
+	dh_clean pvr.vdr.vnsi/addon.xml

## kodi-pvr-vdr-vnsi 2.6.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 
 add_definitions(-DUSE_DEMUX)
 
@@ -38,15 +38,7 @@
     endif()
   endif()
 else()
-  find_package(D3DX9)
-  if(D3DX9_FOUND)
-    set(INCLUDES ${D3DX9_INCLUDE_DIR})
-    set(DEPLIBS ${D3DX9_LIBRARIES})
-    add_definitions(-DHAS_DX)
-    message(STATUS "VDR OSD support enabled via DirectX")
-  else()
-    message(STATUS " VDR OSD support disabled because DirectX wasn't found")
-  endif()
+  message(STATUS " VDR OSD support disabled because it is not migrated to DX11 yet")
 endif()
 
 list(APPEND VDR_SOURCES src/client.cpp
@@ -61,14 +53,14 @@
                         src/VNSIRecording.cpp
                         src/VNSISession.cpp)
 
-list(APPEND DEPLIBS ${platform_LIBRARIES})
+list(APPEND DEPLIBS ${p8-platform_LIBRARIES})
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)
 endif()
 
 include_directories(${INCLUDES}
                     ${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR})
 
 build_addon(pvr.vdr.vnsi VDR DEPLIBS)

=== debian/changelog ===
kodi-pvr-vdr-vnsi (2.6.12-1) unstable; urgency=medium

  * New upstream version 2.6.12
  * Build-depend on kodi-addons-dev (>= 17.0~beta6~)

 -- Tobias Grimm <etobi@debian.org>  Wed, 28 Dec 2016 10:24:04 +0100

kodi-pvr-vdr-vnsi (2.6.7-1) unstable; urgency=medium

  * Dropped obsolete libp8-platform.patch
  * Build-depend on libkodiplatform-dev (>= 17.1.0) and
    kodi-addons-dev (>= 17.0~beta3+dfsg1-2)
  * Bumped standards version to 3.9.8
  * Updated Kodi dependency
  * New upstream version (Closes: #843096)

 -- Tobias Grimm <etobi@debian.org>  Fri, 04 Nov 2016 00:12:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  cmake,
  libtinyxml-dev,
  pkg-config,
- libkodiplatform-dev (>= 17.0.0),
+ libkodiplatform-dev (>= 17.1.0),
  libp8-platform-dev,
- kodi-addons-dev (>= 16),
+ kodi-addons-dev (>= 17.0~beta6~),
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://kodi.tv
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-vdr-vnsi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-vdr-vnsi.git
 
 Package: kodi-pvr-vdr-vnsi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 15.1+dfsg1-4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
 Replaces: xbmc-pvr-vdr-vnsi
 Enhances: kodi
 Description: Kodi PVR Addon VDR VNSI

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## kodi-pvr-vdr-vnsi 3.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,35 +1,36 @@
+cmake_minimum_required(VERSION 3.5)
 project(pvr.vdr.vnsi)
-
-cmake_minimum_required(VERSION 2.6)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-enable_language(CXX)
-
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
 find_package(p8-platform REQUIRED)
 
 add_definitions(-DUSE_DEMUX)
 
 if(NOT WIN32)
   find_package(EMBEDDED)
-  if(NOT EMBEDDED_FOUND)
+  if((APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM) AND NOT EMBEDDED_FOUND)
     find_package(OpenGL)
   endif()
 
   if(OPENGL_FOUND)
+    set(APP_RENDER_SYSTEM gl)
     set(INCLUDES ${OPENGL_INCLUDE_DIR})
     set(DEPLIBS ${OPENGL_LIBRARIES})
-    add_definitions(-DHAVE_GL)
+    set(VDR_SOURCES src/shaders/GUIShader.cpp
+                    src/shaders/Matrix.cpp
+                    src/shaders/Shader.cpp)
+    add_definitions(-DHAS_GL)
     message(STATUS "VDR OSD support enabled via OpenGL")
   else()
     find_package(OpenGLES2)
     if(OPENGLES2_FOUND)
-      set(VDR_SOURCES src/EGLHelpers/VisGUIShader.cpp
-                      src/EGLHelpers/VisMatrixGLES.cpp
-                      src/EGLHelpers/VisShader.cpp)
-      add_definitions(-DHAVE_GLES2)
+      set(APP_RENDER_SYSTEM gles)
+      set(VDR_SOURCES src/shaders/GUIShader.cpp
+                      src/shaders/Matrix.cpp
+                      src/shaders/Shader.cpp)
+      add_definitions(-DHAS_GLES2)
       set(INCLUDES ${OPENGLES2_INCLUDE_DIRS})
       set(DEPLIBS ${OPENGLES2_LIBRARIES})
       message(STATUS "VDR OSD support enabled via OpenGLES")
@@ -53,15 +54,31 @@
                         src/VNSIRecording.cpp
                         src/VNSISession.cpp)
 
+list(APPEND VDR_HEADERS src/client.h
+                        src/requestpacket.h
+                        src/responsepacket.h
+                        src/tools.h
+                        src/VNSIAdmin.h
+                        src/VNSIChannelScan.h
+                        src/VNSIChannels.h
+                        src/vnsicommand.h
+                        src/VNSIData.h
+                        src/VNSIDemux.h
+                        src/VNSIRecording.h
+                        src/VNSISession.h)
+
 list(APPEND DEPLIBS ${p8-platform_LIBRARIES})
 if(WIN32)
+  set(APP_RENDER_SYSTEM dx11)
   list(APPEND DEPLIBS ws2_32)
+  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
 endif()
 
+message(STATUS "Configured render system: ${APP_RENDER_SYSTEM}")
+
 include_directories(${INCLUDES}
-                    ${kodiplatform_INCLUDE_DIRS}
                     ${p8-platform_INCLUDE_DIRS}
-                    ${KODI_INCLUDE_DIR})
+                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
 
 build_addon(pvr.vdr.vnsi VDR DEPLIBS)

=== debian/changelog ===
kodi-pvr-vdr-vnsi (3.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Balint Reczey ]
  * Add debian/watch file
  * Add basic Salsa CI configuration
  * New upstream version 3.6.4
  * Bump build dependency version of kodi-addons-dev and libkodiplatform-dev

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:27 +0100

=== debian/control ===
Source: kodi-pvr-vdr-vnsi
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 9),
 cmake,
 libtinyxml-dev,
 pkg-config,
 libkodiplatform-dev (>= 20180302),
 libp8-platform-dev,
 kodi-addons-dev (>= 2:18~),
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.8
Homepage: http://kodi.tv
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-vdr-vnsi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-vdr-vnsi

Package: kodi-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
Replaces: xbmc-pvr-vdr-vnsi
Enhances: kodi
Description: Kodi PVR Addon VDR VNSI
 This package contains the VDR VNSI PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.vdr.vnsi/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-vdr-vnsi 8.2.2%2Bds1

=== debian/control ===
Source: kodi-pvr-vdr-vnsi
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libtinyxml-dev,
 pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi
Homepage: http://kodi.tv

Package: kodi-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:GUILIBAPI},
         ${kodi:PVRAPI}
Replaces: xbmc-pvr-vdr-vnsi
Enhances: kodi
Multi-Arch: same
Description: Kodi PVR Addon VDR VNSI
 This package contains the VDR VNSI PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vdr.vnsi/releases \
/kodi-pvr/pvr.vdr.vnsi/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-vdr-vnsi 8.2.2+ds1

=== debian/changelog ===
kodi-pvr-vdr-vnsi (8.2.2+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:41:12 -0700

kodi-pvr-vdr-vnsi (8.2.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 14:47:16 +0000

kodi-pvr-vdr-vnsi (8.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:06 +0000

kodi-pvr-vdr-vnsi (8.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds1 (Closes: #953132)
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:08:16 +0000

=== debian/control ===
Source: kodi-pvr-vdr-vnsi
Priority: optional
Section: video
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
                    libtinyxml-dev,
                    pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi
Homepage: http://kodi.tv

Package: kodi-pvr-vdr-vnsi
Architecture: any
Depends: ${kodi:GUILIBAPI}, ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Replaces: xbmc-pvr-vdr-vnsi
Enhances: kodi
Multi-Arch: same
Description: Kodi PVR Addon VDR VNSI
 This package contains the VDR VNSI PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean pvr.vdr.vnsi/addon.xml

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-pvr-vdr-vnsi 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-vdr-vnsi (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1

  [ Vasyl Gello ]
  * Bump standard version
  * Disable LTO to make build reproducible

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:17 +0000

kodi-pvr-vdr-vnsi (8.2.3+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.3+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:33:46 +0000

=== debian/control ===
Source: kodi-pvr-vdr-vnsi
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libtinyxml-dev,
 pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi
Homepage: https://kodi.tv

Package: kodi-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:GUILIBAPI},
         ${kodi:PVRAPI}
Replaces: xbmc-pvr-vdr-vnsi
Enhances: kodi
Multi-Arch: same
Description: Kodi PVR Addon VDR VNSI
 This package contains the VDR VNSI PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,4 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+            -DUSE_LTO=0

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vdr.vnsi/releases \
/kodi-pvr/pvr.vdr.vnsi/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-vdr-vnsi 19.0.3+ds1

=== debian/changelog ===
kodi-pvr-vdr-vnsi (19.0.3+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:20 +0000

kodi-pvr-vdr-vnsi (19.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.3+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
  libtinyxml-dev,
  pkg-config

## kodi-pvr-vdr-vnsi 20.3.1+ds1

=== debian/changelog ===
kodi-pvr-vdr-vnsi (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:17 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vdr.vnsi/releases \
/kodi-pvr/pvr.vdr.vnsi/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-vdr-vnsi 20.4.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi

## kodi-pvr-vdr-vnsi 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-vdr-vnsi (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:05 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vdr.vnsi \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-vdr-vnsi 20.4.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi

## kodi-pvr-vdr-vnsi 20.4.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.vdr.vnsi)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

set(CMAKE_CXX_STANDARD 17)

if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
  find_package(OpenGl REQUIRED)
  set(DEPLIBS ${OPENGL_LIBRARIES})
  set(INCLUDES ${OPENGL_INCLUDE_DIR})
  add_definitions(${OPENGL_DEFINITIONS})
else()
  find_package(OpenGLES REQUIRED)
  set(DEPLIBS ${OPENGLES_LIBRARIES})
  set(INCLUDES ${OPENGLES_INCLUDE_DIR})
  add_definitions(${OPENGLES_DEFINITIONS})
endif()

include_directories(${INCLUDES}
                    ${PROJECT_SOURCE_DIR}/lib
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

list(APPEND VDR_SOURCES src/Addon.cpp
                        src/Channels.cpp
                        src/ClientInstance.cpp
                        src/GUIWindowAdmin.cpp
                        src/GUIWindowChannelScan.cpp
                        src/InputstreamDemux.cpp
                        src/InputstreamRecording.cpp
                        src/RequestPacket.cpp
                        src/ResponsePacket.cpp
                        src/Session.cpp
                        src/Settings.cpp
                        src/TCPSocket.cpp
                        src/Tools.cpp)

list(APPEND VDR_HEADERS src/Addon.h
                        src/Channels.h
                        src/ClientInstance.h
                        src/GUIWindowAdmin.h
                        src/GUIWindowChannelScan.h
                        src/InputstreamDemux.h
                        src/InputstreamRecording.h
                        src/RequestPacket.h
                        src/ResponsePacket.h
                        src/Session.h
                        src/Settings.h
                        src/TCPSocket.h
                        src/Tools.h
                        src/vnsicommand.h)

build_addon(pvr.vdr.vnsi VDR DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-vdr-vnsi (20.4.1+ds-1) unstable; urgency=medium

  * New upstream version 20.4.1+ds

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:58 +0000

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.vdr.vnsi \

## kodi-pvr-vdr-vnsi 21.1.2+ds

=== debian/changelog ===
kodi-pvr-vdr-vnsi (21.1.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:24 +0000

kodi-pvr-vdr-vnsi (21.1.2+ds-1) unstable; urgency=medium

  * New upstream version 21.1.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:47 +0000

kodi-pvr-vdr-vnsi (21.1.0+ds-1) experimental; urgency=medium

  * New upstream version 21.1.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.2+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:43 +0000

## kodi-pvr-vdr-vnsi 21.1.3+ds

=== debian/changelog ===
kodi-pvr-vdr-vnsi (21.1.3+ds-1) unstable; urgency=high

  * New upstream version 21.1.3+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vdr-vnsi
 Homepage: https://kodi.tv

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,11 @@
 	dh_clean pvr.vdr.vnsi/addon.xml
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vdr.vnsi \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
